.shop-card .product-image{
    position:relative;
    overflow:hidden;
}

.primary-image{
    transition:.45s;
}

.secondary-image{

    position:absolute;
    inset:0;

    opacity:0;

    transition:.45s;

}

.shop-card:hover .primary-image{

    opacity:0;

}

.shop-card:hover .secondary-image{

    opacity:1;

}

.product-actions{

    position:absolute;

    left:0;

    right:0;

    bottom:20px;

    opacity:0;

    transform:translateY(20px);

    transition:.35s;

    display:flex;

    justify-content:center;

}

.shop-card:hover .product-actions{

    opacity:1;

    transform:translateY(0);

}

.product-actions .button{

    width:auto !important;

    padding:14px 28px !important;

}